<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/projects',
            'title' => __( 'Projects', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/projects/projects.js',
            'attributes' => array(
                'top_title' => array(
                    'type' => 'text',
                    'default' => 'Some of my recent projects'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Works'
                ),
                'button_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                ),
                'button_label' => array(
                    'type' => 'text',
                    'default' => 'View All'
                )
            ),
            'example' => array(
'top_title' => 'Some of my recent projects', 'title' => 'Works', 'button_link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'button_label' => 'View All'
            ),
            'dynamic' => false,
            'has_inner_blocks' => true
        ) );
