<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/full-screen',
            'title' => __( 'Full Screen', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/full-screen/full-screen.js',
            'attributes' => array(
                'background_image' => array(
                    'type' => 'object',
                    'default' => ''
                ),
                'top_heading' => array(
                    'type' => 'text',
                    'default' => 'Few words from my clients'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Testimonials'
                )
            ),
            'example' => array(
'background_image' => '', 'top_heading' => 'Few words from my clients', 'title' => 'Testimonials'
            ),
            'dynamic' => false,
            'has_inner_blocks' => true
        ) );
