<section <?php if(empty($_GET['context']) || $_GET['context'] !== 'edit') echo get_block_wrapper_attributes( array('class' => "bg-light pb-5 pt-5 text-secondary", ) ); else echo 'data-wp-block-props="true"'; ?>>
    <div class="container"> 
        <div class="mb-4">
            <h2 class="h6 text-capitalize"><?php echo PG_Blocks::getAttribute( $args, 'top_heading' ) ?></h2> 
            <h3 class="fw-bold h1 text-primary"><?php echo PG_Blocks::getAttribute( $args, 'title' ) ?></h3> 
        </div>
        <div class="justify-content-center row"> 
            <?php
                $recent_args = array(
                    'post_type' => 'post',
                    'posts_per_page' => 3,
                    'order' => 'DESC',
                    'orderby' => 'date'
                )
            ?>
            <?php $recent = new WP_Query( $recent_args ); ?>
            <?php if ( $recent->have_posts() ) : ?>
                <?php while ( $recent->have_posts() ) : $recent->the_post(); ?>
                    <?php PG_Helper::rememberShownPost(); ?>
                    <div <?php post_class( 'col-lg-4 col-md-6 pb-3 pt-3' ); ?> id="post-<?php the_ID(); ?>"> 
                        <div class="bg-white h-100 rounded rounded-1 shadow"> <a href="<?php echo esc_url( get_permalink() ); ?>" class="d-block"><?php echo PG_Image::getPostImage( null, 'medium', array(
                                        'class' => 'img-fluid post-thumbnail rounded-top w-100'
                                ), null, null ) ?></a>
                            <div class="p-3"> <a href="<?php echo esc_url( get_permalink() ); ?>" class="text-dark text-decoration-none"><h3 class="fw-bold h5"><?php the_title(); ?></h3></a>
                                <h4 class="fw-bold h6 small text-secondary"><?php the_time( get_option( 'date_format' ) ); ?></h4> 
                                <p class="mb-0"><?php echo get_the_excerpt(); ?></p> 
                            </div>                             
                        </div>                         
                    </div>
                <?php endwhile; ?>
                <?php wp_reset_postdata(); ?>
            <?php else : ?>
                <p><?php _e( 'Sorry, no posts matched your criteria.', 'portfolio' ); ?></p>
            <?php endif; ?>                           
        </div>
        <div class="mt-5"><a href="<?php echo PG_Blocks::getLinkUrl( $args, 'button_link' ) ?>" class="btn btn-primary pb-2 pe-4 ps-4 pt-2"><?php echo PG_Blocks::getAttribute( $args, 'button_label' ) ?></a>
        </div>         
    </div>     
</section>